﻿.admin section {
  display: inline-block;
  width: 100%;
  background-color: #fff;
  padding-left: 15px;
  padding-right: 15px;
  min-height: 700px;
}

.form-control.free-height {
  height: inherit;
}

.form-control.free-height .clearfix {
  margin-bottom: -20px;
}

.padding-right-30 {
  padding-right: 30px;
}

.table.admin-table .primary-row td {
  font-weight: bold;
}

.table.admin-table {
  background-color: white;
}

.admin .success, .admin .in-progress {
  font-weight: bold;
  /*display: none;*/
}

.admin .success {
  color: green;
}

.admin .list-unstyled {
  margin-top: 25px;
}

.admin .list-unstyled hr {
  background: -moz-linear-gradient(left center, #7E7ABE, #D9D7F5) repeat scroll 0 0 #333333;
  border: 0 none;
  height: 1px;
}

.admin .list-unstyled a {
  color: #FFFFFF;
  text-decoration: underline;
}

.admin .list-unstyled a .link-icon {
  display: inline-block;
  width: 65px;
}

.admin .list-unstyled a .link-icon img {
  height: 44px;
}

/* User Management*/

#details .edit-section-group {
  margin-top: -6px;
}

.users-list {
  max-height: 300px;
  overflow: auto;
}

.create-user {
  /*min-width: 700px;*/
}

.create-user .progress {
  background-color: #ABA9A9;
}

.login-frame {
  height: 600px;
  position: relative;
}

.login-frame iframe {
  height: 600px;
}

.login-frame .blank {
  position: absolute;
  top: 0px;
  left: 0px;
  right: 0px;
  bottom: 0px;
}

.docsSpinnerContainer {
  text-align: center;
  padding-top: 25px;
  height: 800px;
  color: white;
}

li.active.labelTabs > a, li.active.labelTabs > a:hover, li.active.labelTabs > a:focus {
  cursor: default;
  background-color: #f5f5f5;
  border: 1px solid #dddddd;
  border-bottom-color: transparent;
}

li.labelTabs > a {
  margin-right: 2px;
  line-height: 1.428571429;
  border: 0px solid transparent;
  border-radius: 4px 4px 0 0;
}

#addLabelBtn {
  margin-right: 2px;
}

#OKLabelButton {
  margin-top: 2px;
  margin-bottom: 25px;
}

#labelTabsList {
  border-bottom: 0;
}

#labelTitle {
  text-align: left;
}

.labelsText {
  width: 200px;
  -ms-word-break: break-all;
  word-break: break-all;
  word-break: break-word;
  -webkit-hyphens: auto;
  -moz-hyphens: auto;
  hyphens: auto;
  white-space: normal;
}

@media (max-width: 425px) {
  .navbar-brand {
    line-height: 52px;
  }
}

#OKLabelButtonContainer {
  height: 65px;
}

.page-header {
  padding-bottom: 40px;
}

.page-header.custom {
  margin: 0;
  padding: 0;
  border-bottom: none;
}

.page-header.custom h2 {
  text-align: left;
  /* padding-left: 15px; */
}

.page-header.without-padding {
  padding-bottom: 0px;
}

.table > thead > tr > th.checkbox-header {
  padding-left: 52px;
}

.sortable-list {
  list-style-type: none;
  margin: 0;
  padding: 0;
  width: 100%;
}

.sortable-list > li > div {
  margin: 3px 0;
  padding: 0.4em;
  background: white;
}

.sortable-list > li > div.child-item {
  padding: 0.1em 0.4em;
}

.sortable-list > li > div.disabled-element {
  background: #eee;
  color: #999;
}

.sortable-list .ui-draggable-handle {
  cursor: pointer;
}

.sortable-list .checkbox-label {
  position: relative;
}

.sortable-list .checkbox-label input {
  top: 0px;
  position: absolute;
  left: -20px;
}

.sortable-list .sortable-header {
  font-weight: bold;
  margin: 5px 5px 10px 5px;
}

.techpad-configuration-page .well {
  box-shadow: none;
  /* border-top-left-radius: 0;
  border-top-right-radius: 0;
  border-top: none; */
}

.techpad-configuration-page .nav-tabs a {
  cursor: pointer;
}

.techpad-configuration-page .nav-tabs li.active a {
  background: #f5f5f5;
}

#portalAuditTable tr {
  cursor: pointer;
}

#portalAuditTable_filter {
  display: none;
}

.filters-section {
  padding-bottom: 10px;
}

td.success-col {
  background-color: #dff0d8;
}

.portal-audit-details-dialog {
  width: 900px;
}

.portal-audit-details-dialog .modal-header {
  cursor: pointer;
}

.portal-audit-details-dialog .btn {
  min-width: 100px;
}

.portal-audit-details-dialog .modal-header, .portal-audit-details-dialog .modal-footer {
  background: #f1f1f1;
}

.portal-audit-details-dialog .table td {
  max-width: 300px;
  overflow: hidden;
  word-break: break-all;
}

.ui-select-match-text {
  width: 100%;
  overflow: hidden;
  text-overflow: ellipsis;
  padding-right: 40px;
}

.ui-select-toggle > .btn.btn-link {
  margin-right: 10px;
  top: 6px;
  position: absolute;
  right: 10px;
}

.ui-select-choices-row {
  text-align: left;
}

.selectize-input {
  text-align: left;
}

.full-size-modal .modal-dialog {
  width: 90%;
}

.full-size-modal .pdf-editor-dialog .modal-header .btn-primary {
  margin-right: 10px;
}

.full-size-modal .pdf-editor-dialog .modal-body {
  padding-top: 20px;
}

.pdf-error-message {
  font-size: smaller;
  font-style: italic;
}

.text-overflow {
  white-space: nowrap;
  overflow: hidden;
  text-overflow: ellipsis;
}

.audit-log-header {
    overflow: hidden;
    margin-bottom: 15px;
}

#portal-audit-log {
  z-index: 1051;
}

#portal-audit-log .modal-dialog {
    width: 80%;
}

#portal-audit-log .modal-dialog .modal-content .modal-header h4 {
    text-align: left;
}

#portal-audit-log .modal-dialog .modal-content .modal-body #tbl-properties-value-section th {
    text-align: left;
    width: 33.33333%;
}

#portalAuditTable tbody tr.selected,
#portal-audit-log .modal-dialog .modal-content .modal-body #tbl-properties-value-section tr.selected {
    background-color: cornflowerblue!important;
}

#portalAuditTable tbody tr.selected td,
#portal-audit-log .modal-dialog .modal-content .modal-body #tbl-properties-value-section tr.selected td{
    color: #FFF;
}

#portal-audit-log .modal-dialog .modal-content .modal-body #tbl-properties-value-section td {
    text-align: left;
    width: 33.33333%;
    cursor: pointer;
}

#portal-audit-log .modal-dialog .modal-content .modal-body .tbl-properties-wrapper {
    max-height: 200px;
    overflow-y: scroll;
    margin-bottom: 15px;
    border-bottom: 1px solid #ddd;
    min-height: 138px;
    border: 1px solid #ddd;
}

table.table-align-left tr th,
table.table-align-left tr td {
  text-align: left!important;
}

table.old-new-table-property {
  margin-bottom: 0;
}
table.old-new-table-property tr td {
  padding: 0;
}

table.old-new-table-property tr td label {
  padding: 5px;
  font-weight: normal;
  margin-bottom: 0;
}

table.tbl-viewver tr td label {
  padding: 5px;
  font-weight: normal;
  margin-bottom: 0;
}

table.old-new-table-property tr td:first-child {
  width: 150px;
}

table.old-new-table-property tr td:first-child table tr td:first-child{
  width: 144px;
}

.position-relative{
  position: relative;
}
.hour-stamp-label{
  position: absolute;
  left: 85px;
}

.patient-select-wrapper div.ui-select-container .selectize-input .ui-select-match{
  white-space: nowrap;
  overflow: hidden;
  text-overflow: ellipsis;
  width: 100%;
  padding-right: 15px;
  display: block;
}
.patient-select-wrapper > .select2-container .select2-selection,
.patient-select-wrapper > .select2-container .select2-selection .select2-selection__arrow{
  height: 36px;
}
.patient-select-wrapper > .select2-container .select2-selection .select2-selection__rendered{
  line-height: 35px;
}

.padding-0 {
  padding: 0;
}

.padding-right-0 {
  padding-right: 0;
}

.letterComplexity .label-complexity {
  padding-top: 4px;
}

.letterComplexity .progress .progress-bar{
  padding-top: 3px;
}

.letterComplexity .password-complexity-msg {
  color: red;
  margin-bottom: 4px;
}

.list-unstyled .left-menu-link{
  line-height: 30px;
}
.list-unstyled .left-menu-link > a,
.list-unstyled .left-menu-link > div > a{
  padding-left: 30px;
}
.list-unstyled .left-menu-link a,
.list-unstyled .left-menu-link a:hover,
.list-unstyled .left-menu-link a:active,
.list-unstyled .left-menu-link a:focus{
  text-decoration: none;
}
.list-unstyled .left-menu-link > div > a span{
  position: absolute;
  left: 5px;
  margin-top: 2px;
}
.left-menu-link .left-menu-sublinks{
  padding-left: 40px;
}
.list-unstyled .left-menu-sublinks > li{
  font-size: 14px;
  margin-top: 0;
  padding-left: 15px;
}
.left-menu-link.active,
.left-menu-sublinks li.active{
  background-color: #5e5a98;
  border: 1px solid #5e5a98;
  border-bottom-left-radius: 12px;
  border-top-left-radius: 12px;
}
.list-unstyled .left-menu-link > a.pl-0 {
  padding-left: 0;
}
.input-container{
  width: 100%;
  text-align: left;
  position: relative;
}
#patientUserDetails .input-container input{
  width: 80%;
  padding-right: 65px;
}
#patientUserDetails .input-container .btn.absolute-right{
  position: absolute;
  top: 0;
  right: 20%;
}
#patientUserDetails .label-container {
  line-height: 2.5;
}
#patientUserDetails .inline-flex{
  display: flex;
  align-items: flex-end;
}
#patientUserDetails .email-tooltip{
  right: -20%;
  top: -6px;
  line-height: 3;
  opacity: 1;
}
#patientUserDetails .email-tooltip .tooltip-arrow{
  border-right-color: #ff6d6d;
}
#patientUserDetails .email-tooltip .tooltip-inner{
  background-color: #ff6d6d;
  min-width: 165px;
  font-size: 14px;
}
#patientUserDetails .control-label{
  padding-top: 0;
}
#patientUserDetails .radio-label-container{
  display: flex;
  justify-content: flex-end;
  align-items: center;
  height: 30px;
}
.modal.in.center-modal{
  z-index: 1049 !important;
}
.modal.in.center-modal .modal-dialog{
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  margin: 0;
}
.pt-0{
  padding-top: 0;
}

/* completedHistorySurveyList */
#completedHistorySurveyList .table {
  width: 100% !important;
}

#completedHistorySurveyList .header-title {
  font-size: 21px;
  margin: 15px 0;
}

#completedHistorySurveyList .date-filter-input-wrapper>input {
  position: relative;
  z-index: 2;
  background-color: transparent;
}


#completedHistorySurveyList .date-filter-input-wrapper>i.date-icon-position {
  z-index: 1;
}

#completedHistorySurveyList .action-buttons-container{
  display: inline-block;
  position: relative;
  border-radius: 36px;
  background-clip: padding-box;
  box-sizing: border-box;
  cursor: pointer;
  white-space: nowrap;
  -webkit-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
  user-select: none;
}

#completedHistorySurveyList .action-buttons-container .main-action-button{
  border-top-right-radius: 0;
  border-bottom-right-radius: 0;
}
#completedHistorySurveyList .action-buttons-container .main-action-button:disabled{
  /* background-color: rgba(0,0,0,0.5);
  border-color: rgba(0,0,0,0.5); */
  background-color: rgb(121,167,206);
  border-color: rgb(121,167,206);
  opacity: 1;
}
#completedHistorySurveyList .action-buttons-container .additional-actions{
  user-select: none;
  border-top-left-radius: 0;
  border-bottom-left-radius: 0;
  height: 34px;
}
#completedHistorySurveyList .action-buttons-container .additional-actions::after{
  border-top-color: #FFFFFF;
  display: inline-block;
  width: 0 !important;
  height: 0 !important;
  vertical-align: middle;
  border-top: 6px solid #FFFFFF;
  border-right: 5px solid transparent;
  border-left: 5px solid transparent;
  content: "";
  background-color: transparent;
}
#completedHistorySurveyList .action-buttons-container .additional-actions-content{
  display: none;
  position: absolute;
  right: 0;
  background-color: #f9f9f9;
  min-width: 100px;
  box-shadow: 0px 8px 16px 0px rgba(0,0,0,0.2);
  z-index: 1;
  border: 1px solid rgba(0,0,0,0.2);
  padding: 10px;
}
#completedHistorySurveyList .action-buttons-container .additional-actions-content a{
  display: block;
  padding: 5px;
}
#completedHistorySurveyList .action-buttons-container .additional-actions-content .link-container{
  display: flex;
  align-items: center;
  margin-bottom: 5px;
}
#completedHistorySurveyList .action-buttons-container .additional-actions-content a.disabled{
  color: rgba(0,0,0,0.5);
}
.no-view-large-tooltip.tooltip-inner {
  min-width: 200px;
}

#completedHistorySurveyList .table-striped > tbody > tr:nth-of-type(even).patient-arrived td ,
#completedHistorySurveyList .table-striped > tbody > tr:nth-of-type(odd).patient-arrived td  {
  background-color: rgba(240, 52, 52, 0.7);
  color: white;
}

#completedHistorySurveyList .table-striped > tbody > tr:nth-of-type(even).ready-for-exam td ,
#completedHistorySurveyList .table-striped > tbody > tr:nth-of-type(odd).ready-for-exam td  {
  background-color: rgba(255, 255, 0, 0.4);
}

/*
#completedHistorySurveyList .patient-arrived{
  background-color: rgba(240, 52, 52, 0.7);
	color: white;
}
#completedHistorySurveyList .ready-for-exam{
  background-color: rgba(255, 255, 0, 0.4);
}
*/
#survey-management .survey-management-buttons {
  display: flex;
  justify-content: center;
}

#survey-management .survey-management-buttons>.survey-management-button {
  margin-right: 1rem;
  display: flex;
  align-items: center;
  padding: 1rem;
  /* cursor: pointer; */
}

#survey-management .survey-management-buttons>.survey-management-button>i {
  font-size: 1.5rem;
  width: 17px;
}

#survey-management .survey-management-buttons>.survey-management-button:last-child {
  margin-right: 0;
}

.min-width-110 {
  min-width: 110px;
}

.min-width-250 {
  min-width: 250px;
}

.surveys-list-table .actions-column {
  min-width: 155px;
}

#resetPasswordModal .error {
  margin-bottom: 0;
}

#resetPasswordModal .error>label {
  text-align: right;
}

#resetPasswordModal .error>div {
  color: red;
}

#resetPasswordModal .error .error-message {
  text-overflow: ellipsis;
  word-break: break-word;
  overflow: hidden;
  display: -webkit-box;
  -webkit-box-orient: vertical;
  -webkit-line-clamp: 5;
}

#configuration-survey .survey-expires-wrapper {
  padding-top: 7px;
}

#configuration-survey .hrs-before-appointment-time {
  margin: 0 0 10px 0;
  min-height: 34px;
}

#configuration-survey .hrs-after-appointment-time {
  min-height: 34px;
}

#configuration-survey .survey-expires-label {
  min-width: 185px;
}

#configuration-survey .survey-expires-input {
  max-width: 80px;
  margin: 0 0 0 10px;
}

#configuration-survey .multi-line-label {
  padding-top: 0;
}

#configuration-survey .multi-line-checkbox {
  padding-top: 0;
  min-height: 20px;
}

#configuration-survey .survey-expires-radio {
  margin: 0;
}

.cursor-pointer {
  cursor: pointer;
}

.multiSelect-container.text-left .multiSelect > button {
  text-align: left;
}

@media (max-width: 1025px) {
  .summary-report-container {
    display: inline-block;
  }

  .summary-report-container .admin-tag-with-remove {
    float: initial;
  }
}

.admin-tag-with-remove {
  border: 1px solid #cccbcb;
  background: #fff;
  padding: 3px 25px 3px 8px;
  border-radius: 4px;
  margin-bottom: 10px;
  margin-right: 7px;
  float: left;
  position: relative;
}

.admin-tag-with-remove.tag-add {
  cursor: pointer;
  padding-right: 8px;
}

.admin-tag-with-remove .tag-remove {
  margin-left: 5px;
  cursor: pointer;
  position: absolute;
  top: 3px;
  right: 5px;
  color: #f13636;
}

.edit-link {
  margin-left: 5px;
  cursor: pointer;
}

.email-letter-table {
  margin-bottom: 20px !important;
}

.configuration-page-with-tabs {
  padding: 20px 5px;
  font-size: 14px;
}

.canned-note textarea{
  resize: vertical;
}

.min-width-600px {
  min-width: 600px;
}
